;----------------------------------------------------------------------------
; exec(int handle)
;
; Function: Execute Fargo program
;
; Return: D1-D7/A0-A6 destroyed
;         If the program was successfully executed, D0.W contains zero upon
;         return. A nonzero value of D0.W indicates failure. The following
;         specific values of D0.W indicate exactly how exec() failed.
;           1 = out of memory
;           2 = fargo too old
;           3 = required library not found or invalid
;           4 = out-of-range library import (wrong library version)
;           5 = file not executable
;           6 = program quit due to tios exception (ER_throw)
;           7 = incompatible program format
;
; Note: Function assumes that {handle} points to a valid Fargo program; no
;       signature checking is done.
;----------------------------------------------------------------------------
kernel::exec		equ	kernel@0000

EXEC_NO_MEM		equ	1
EXEC_FARGO_TOO_OLD	equ	2
EXEC_LIB_NOT_FOUND	equ	3
EXEC_LIB_RANGE_ERR	equ	4
EXEC_NOT_EXEC		equ	5
EXEC_TIOS_ERROR		equ	6
EXEC_INCOMPATIBLE	equ	7
